# Latest stable release is 2018-07-08, so select newest version
%global devrel dev.12

Summary:          A text-based Web browser
Name:             lynx
Version:          2.9.0%{devrel}
Release:          4%{?dist}
License:          GPLv2
URL:              https://lynx.invisible-island.net/
Source0:          https://invisible-mirror.net/archives/lynx/tarballs/lynx%{version}.tar.bz2
Patch3001:        lynx-CVE-2008-4690.patch

BuildRequires:    gcc make dos2unix gettext telnet
BuildRequires:    libidn2-devel ncurses-devel openssl-devel
BuildRequires:    unzip zip zlib-devel
Provides:         webclient text-www-browser

%description
Lynx is a text-based Web browser. Lynx does not display any images,
but it does support frames, tables, and most other HTML tags.
One advantage Lynx has over graphical browsers is speed; Lynx starts and
exits quickly and swiftly displays web pages.


%prep
%autosetup -n lynx%{version} -p1
sed -e "s,^HELPFILE:.*,HELPFILE:file://localhost%{_pkgdocdir}/lynx_help/lynx_help_main.html,g" -i lynx.cfg

%build
%configure --libdir=/etc            \
    --disable-font-switch           \
    --disable-rpath-hack            \
    --enable-addrlist-page          \
    --enable-charset-choice         \
    --enable-cgi-links              \
    --enable-cjk                    \
    --enable-debug                  \
    --enable-default-colors         \
    --enable-externs                \
    --enable-file-upload            \
    --enable-internal-links         \
    --enable-ipv6                   \
    --enable-japanese-utf8          \
    --enable-justify-elts           \
    --enable-locale-charset         \
    --enable-kbd-layout             \
    --enable-libjs                  \
    --enable-nls                    \
    --enable-nsl-fork               \
    --enable-persistent-cookies     \
    --enable-prettysrc              \
    --enable-read-eta               \
    --enable-scrollbar              \
    --enable-source-cache           \
    --enable-warnings               \
    --with-screen=ncursesw          \
    --with-ssl=%{_libdir}           \
    --with-zlib                     \
    ac_cv_path_RLOGIN=/usr/bin/rlogin

make -C po
%make_build
rm -fv test/X test/nobody


%install
chmod -x samples/mailto-form.pl
%make_install

rm -f docs/{OS-390.announce,README.jp}
rm -f samples/*.bat

dos2unix samples/lynx-demo.cfg
dos2unix samples/midnight.lss

mkdir -p %{buildroot}/usr/share/locale/ja/LC_MESSAGES/

cat > %{buildroot}%{_sysconfdir}/lynx-site.cfg <<EOF
# Place any local lynx configuration options (proxies etc.) here.
EOF

%find_lang %{name}


%files -f %{name}.lang
%license COPYING
%doc docs README INSTALLATION samples
%doc test lynx.hlp lynx_help
%config(noreplace) %{_sysconfdir}/lynx.cfg
%config(noreplace) %{_sysconfdir}/lynx.lss
%config(noreplace,missingok) %{_sysconfdir}/lynx-site.cfg
%{_bindir}/lynx
%{_mandir}/*/*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.0dev.12-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.0dev.12-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 22 2023 rockerzhu <rockerzhu@tencent.com> - 2.9.0dev.12-2
- Modify Source: to Source0:

* Mon Feb 13 2023 rockerzhu <rockerzhu@tencent.com> - 2.9.0dev.12-1
- Initial buid
